For the complete documentation index, see llms.txt. This page is also available as Markdown.

K8S Connectors Metadata

Health related metadata for your k8S clusters having cost access enabled.

Get CACM K8S Metadata

post

Get CACM K8S Metadata

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
ccmK8sConnectorIdstring[]Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/ccmK8sMeta
POST /gateway/ccm/api/ccmK8sMeta?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "ccmK8sConnectorId": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?